package com.ktg.iscs.service;

import com.ktg.iscs.domain.vo.homePage.HomePageVO;
import com.ktg.iscs.domain.vo.statistics.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 统计接口
 *
 * @author cgj
 * @date 2024-10-16
 */
public interface StatisticsApiService {

    List<CabinetStatisticsVO> getCabinetStatistics(String startTime, String endTime);

    List<MaterialsStatusStatisticsVO> getMaterialsStatusStatistics(String startTime, String endTime);

    List<MaterialsLoanStatisticsVO> getMaterialsLoanStatistics(String startTime, String endTime);

    List<MaterialsChangeStatisticsVO> getMaterialsChangeStatistics(String startTime, String endTime);

    List<UserLoanStatisticsVO> getUserLoanStatistics(String startTime, String endTime);

    List<DayLoanStatisticsVO> getDayLoanStatistics(String startTime, String endTime);

    HomePageVO getHomePage(String startTime, String endTime);

    List<InventoryVO> getMaterialInventory(Integer type);

    List<InventoryTypeVO> getInventorySum();

    void exportMaterialInventory(HttpServletResponse response, HttpServletRequest request);

    void exportBaseData(HttpServletResponse response, HttpServletRequest request, String startTime, String endTime);

    void exportClaimAndReturn(HttpServletResponse response, HttpServletRequest request, String startTime, String endTime);


}
